lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Muir <>
Subject Re: [DISCUSS] Build/deploy Maven artifacts outside of Lucene/Solr
Date Tue, 24 Apr 2012 14:47:15 GMT
On Tue, Apr 24, 2012 at 10:45 AM, Uwe Schindler <> wrote:
> Hi,
>> BTW, fedora 16 has lucene 2.9.4 and does not have solr. Looks like F17 will
>> have the same. I'd also be interested to know why they don't have 3.x or solr.
> I think that unrelated here, but the answer is simple: Those distributions don't have
Lucene JARS to provide "Lucene" as a library to the user, but they provide Lucene as dependency
for other packages . And those software is often very outdated and Lucene 3.0 is no longer
backwards compatible. Linux distribs will adda "Lucene3" package once it is needed as a dependency.

or their packaging system is just out of date.

for example, in freebsd both are at 3.5 (so much more current)


To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message